% Sample code to access and plot variables
clear
close all

load('Velocity_Statistics&Spectra_Hotwire.mat');

%Select probe to plot
a = 1; % a= 1 : S1, a= 2 : S2

%% plot stats (say, mean velocity profiles)
NumberofProfiles = 15;

%Select station to plot
station = 1 %select station from 1 to 15;
   
 Meanvelocity = S.Stats(station).Us;
 ZoverD_array = S.Stats(station).ZoverD;
    
plot(Meanvelocity,abs(ZoverD_array));

    
% Plot settings
xlabel('U_s/U_{ref}')
ylabel('-Z/D')
title(['Mean Velocity : XoverD = ',num2str(S(a).Stats(station).XoverD(1))])


%% Plotting spectra

% choose a point in the station
npoint = 1;                         % can check NumberofPoints
XoverD = S.Stats(station).XoverD(npoint);

%Get sampling frequency and Number of records
fs = S.SamplingScheme.Frequency;
recordsize =S.SamplingScheme.RecordSize;

%create frequency vector
freq = 0:fs/recordsize:fs-1;
Guu = S.Spectra(station).G_usus(:,npoint);

%plot spectra
figure
loglog(freq,Guu);

%Plot settings
xlabel('Frequency (Hz)')
ylabel('G_{u_s}_{u_s}')
title(['Spectra at X/D = ',num2str(XoverD), ' ZoverD = ',num2str(S(a).Stats(station).ZoverD(npoint))])
xlim([0 25000])

%% 
%If you load S1_Inflow.mat or Q1_Ramp.mat, will have no 'S(a)' before any variable to access

% example :
% for S1_Inflow : Meanvelocity = Stats(station).Us; 
% for Q1_Ramp : MeanvelocityX = Stats(station).U; 
